=head1 NAME

Gtk2::Layout - wrapper for GtkLayout

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Layout



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::Layout-E<gt>B<new> ($hadjustment=undef, $vadjustment=undef)

=over

=item * $hadjustment (Gtk2::Adjustment or undef) 

=item * $vadjustment (Gtk2::Adjustment or undef) 

=back

=head2 window or undef = $layout-E<gt>B<get_bin_window> 

=head2 $layout-E<gt>B<freeze> 

=head2 adjustment = $layout-E<gt>B<get_hadjustment> 

=head2 $layout-E<gt>B<set_hadjustment> ($adjustment)

=over

=item * $adjustment (Gtk2::Adjustment) 

=back

=head2 $layout-E<gt>B<move> ($child_widget, $x, $y)

=over

=item * $child_widget (Gtk2::Widget) 

=item * $x (integer) 

=item * $y (integer) 

=back

=head2 $layout-E<gt>B<put> ($child_widget, $x, $y)

=over

=item * $child_widget (Gtk2::Widget) 

=item * $x (integer) 

=item * $y (integer) 

=back

=head2 (width, height) = $layout-E<gt>B<get_size> 

=head2 $layout-E<gt>B<set_size> ($width, $height)

=over

=item * $width (integer) 

=item * $height (integer) 

=back

=head2 $layout-E<gt>B<thaw> 

=head2 adjustment = $layout-E<gt>B<get_vadjustment> 

=head2 $layout-E<gt>B<set_vadjustment> ($adjustment)

=over

=item * $adjustment (Gtk2::Adjustment) 

=back



=cut


=head1 PROPERTIES

=over

=item 'hadjustment' (Gtk2::Adjustment : default undef : readable / writable / private / static-nick / static-blurb)

The GtkAdjustment for the horizontal position

=item 'height' (Glib::UInt : default 100 : readable / writable / private / static-nick / static-blurb)

The height of the layout

=item 'vadjustment' (Gtk2::Adjustment : default undef : readable / writable / private / static-nick / static-blurb)

The GtkAdjustment for the vertical position

=item 'width' (Glib::UInt : default 100 : readable / writable / private / static-nick / static-blurb)

The width of the layout

=back



=cut


=head1 CHILD PROPERTIES

=over

=item 'x' (integer : default 0 : readable / writable / private / static-nick / static-blurb)

X position of child widget

=item 'y' (integer : default 0 : readable / writable / private / static-nick / static-blurb)

Y position of child widget

=back



=cut


=head1 SIGNALS

=over

=item B<set-scroll-adjustments> (Gtk2::Layout, Gtk2::Adjustment, Gtk2::Adjustment)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

